> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/uwp/page-manipulation/split.md).

# Split PDF pages in UWP

Learn how to split a PDF document into multiple pages with this comprehensive guide. Merge, copy, delete, and rearrange PDF pages effortlessly. Full code sample included! The Apryse uwp SDK streamline

To split a PDF document into multiple pages.

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
PDFDoc doc = new PDFDoc(fileName);
int pageNumber = doc.GetPageCount();
for (int i = 1; i <= pageNumber; ++i)
{
    PDFDoc newDocument = new PDFDoc();
    newDocument.InsertPages(0, doc, i, i, PDFDocInsertFlag.e_none);
    await newDocument.SaveAsync(outputFileName + "_split_page_" + i + ".pdf", SDFDocSaveOptions.e_linearized);
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

[Merge, Copy, Delete, and Rearrange PDF Pages](/uwp/get-started/samples.md#pdfpage) Full code sample which illustrates how to copy pages from one document to another, how to delete, and rearrange pages and how to use ImportPages().


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/uwp/page-manipulation/split.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
